ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Maarten Coene <maarten_co...@yahoo.com>
Subject Re: configurations fail to work for transitive deps
Date Thu, 18 Jun 2009 20:45:56 GMT

I think the problem is that Ivy couldn't find the ivy.xml for your 'Model" module in your
repository.
Could you verify that it exists and it's name corresponds to the specified pattern in your
ivysettings.xml ?

Regarding the 2.1.0-RC1. I didn't had the time to create a new release the last couple of
months, but I'm committing some local changes at the moment and we'll try to create a new
RC within the coming weeks...

regards,
Maarten




----- Original Message ----
From: Jeff Bowman <jeff@bowmansarrow.us>
To: ivy-user@ant.apache.org
Sent: Thursday, June 18, 2009 8:23:19 AM
Subject: configurations fail to work for transitive deps

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I'm trying to get my configurations to work as described here:

http://ant.apache.org/ivy/history/2.1.0-rc1/tutorial/conf.html

However it never works. When I publish my project it gets published with
the ivy file I created for it, but when I run ivy:resolve to use that
project in a different project I get the following:

[ivy:retrieve]
[ivy:retrieve] :: problems summary ::
[ivy:retrieve] :::: WARNINGS
[ivy:retrieve]          ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:retrieve]          ::          UNRESOLVED DEPENDENCIES         ::
[ivy:retrieve]          ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:retrieve]          :: com#Model;1.0-SNAPSHOT: configuration not
found in com#Model;1.0-SNAPSHOT: 'compile'. It was required from
com#foo;working@CanisNubilus default
[ivy:retrieve]          ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:retrieve]
[ivy:retrieve] :: USE VERBOSE OR DEBUG MESSAGE LEVEL FOR MORE DETAILS

my ivy.xml file for foo is:

<ivy-module version="2.0">
  <info organisation="com" module="foo" />

  <dependencies>
    <dependency org="com.dnb" name="Model" rev="1.0-SNAPSHOT"
conf="default->compile"/>
  </dependencies>
</ivy-module>


The one for Model is quite long but some of the relevant parts are:

<ivy-module version="2.0">
    <info organisation="com" module="Model"/>

    <configurations>
        <conf name="default" visibility="public"/>
        <conf name="compile" visibility="public" extends="default"
description="compilation only"/>
        <conf name="test" visibility="private" description="for testing
our code"/>
    </configurations>

    <publications>
        <artifact name="Model" type="jar" conf="compile" ext="jar"/>
    </publications>

    <dependencies>
        <dependency org="mysql" name="mysql-connector-java" rev="5.1.6"
            conf="compile->default" />
    <dependency org="oracle" name="ojdbc14" rev="10.2.0.2"
conf="compile->default" />

        <dependency org="commons-dbcp" name="commons-dbcp"
            rev="1.2.2" conf="compile->default" />
        <dependency org="commons-logging" name="commons-logging"
            rev="1.1" conf="compile->default" />
    </dependencies>
</ivy-module>


I'm expecting to see the Model project, plus the dependencies mentioned
with conf="compile->default" to be downloaded.

However in the cache I get this file:
<?xml version="1.0" encoding="UTF-8"?>
<ivy-module version="1.0">
        <info organisation="com"
                module="Model"
                revision="1.0-SNAPSHOT"
                status="release"
                publication="20090618010124"
                default="true"
        />
        <configurations>
                <conf name="default" visibility="public"/>
        </configurations>
        <publications>
                <artifact name="Model" type="jar" ext="jar" conf="default"/>
        </publications>
</ivy-module>

which has a distinct lack of the 'compile' configuration mentioned in
the ivy file, also the version for the ivy-module tag is 1.0 and I was
expecting at least 2.0.

Is there a workaround for this? I tried to search the jira page but that
was less than helpful and I didn't see a way to report an issue there.

Final question is whether this project is still alive since the 2.1-rc1
was released 3 months ago with no further updates since then.

Thanks for any feedback. Ivy has been a good tool for us even without
the transitive dependencies on our projects, but that last little tweak
would sure make this a sweet win.

Regards,
Jeff


- --
Amateurs work until they get it right...
... Professionals work until they can't get it wrong.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAko53VYACgkQcZdQORGez0tD0ACgkUyegRPclc5nPlOUh2NwydWE
PWIAn0cn4cTGWjc0jjgNDd4uMUjDl0ET
=9w0C
-----END PGP SIGNATURE-----



      

Mime
View raw message